"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libtool' }"

LibraryDefinition subclass:#stx_libtool
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects *'
!

!stx_libtool class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build-Information for creation of the st/x standard library: stx_libtool.
    This library contains developer tools.
"
! !

!stx_libtool class methodsFor:'description'!

preRequisites
    ^ #(
        #'stx:libbasic'
        #'stx:libbasic2'
        #'stx:libbasic3'
        #'stx:libcomp'
        #'stx:libhtml'
        #'stx:libui'
        #'stx:libview'
        #'stx:libview2'
        #'stx:libwidg'
        #'stx:libwidg2'
    )

    "Modified: / 23-10-2006 / 11:08:44 / cg"
!

subProjects
    ^ #(
)
! !

!stx_libtool class methodsFor:'description - compilation'!

additionalDefinitions_nt_dot_mak
    ^ '
# see stdHeader_nt for LIBTOOL_BASE
# LIBTOOL_BASE   =0x64800000
LIB_BASE_LD_ARG=-b:$(LIBTOOL_BASE)
'
! !

!stx_libtool class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
        "<className> or (<className> attributes...) in load order"
        AboutBox
        AbstractDirectoryBrowser
        AbstractFileApplicationNoteBookComponent
        AbstractFileBrowser
        AbstractLauncherApplication
        (AbstractRevisionItem autoload)
        AbstractSettingsApplication
        (AbstractVersionDiffBrowserItem autoload)
        (ApplicationBuilder autoload)
        BrowserView
        ChangeSetBrowser
        ChangesBrowser
        (ClassInspectorView autoload)
        (ClassItem autoload)
        (ClassItemRoot autoload)
        (ClassItemRootForRevision autoload)
        (ClassNameItem autoload)
        (ClassRevisionTree autoload)
        (ClassVariablesInspectorView autoload)
        CodeGeneratorTool
        (ColorInspectorView autoload)
        ContextInspectorView
        DebugView
        DictionaryInspectorView
        (Diff3TextView autoload)
        DiffTextView
        DirectoryContentsBrowser
        DirectoryTreeBrowser
        (EWorldIconLibrary autoload)
        (EventMonitor autoload)
        (ExpandableRevisionItem autoload)
        FileApplicationNoteBook
        FileBrowser
        FileBrowserV2
        FileBrowserV2PanelView
        (FileBrowserV2SettingsAppl autoload)
        (FileBrowserV2SettingsDialog autoload)
        (FileBrowserV2Tests autoload)
        FileBrowserV2UISpecifications
        FileDialog
        (FileDialogV2 autoload)
        FileOperation
        FilenameEditFieldV2
        FindFileApplication
        GenericToolbarIconLibrary
        (HierarchicalClassRevisionList autoload)
        (HierarchicalVersionDiffBrowser autoload)
        (ImageInspectorView autoload)
        InspectorView
        (Launcher autoload)
        (LibraryBuilder autoload)
        (MemoryMonitor autoload)
        (MemoryMonitorView autoload)
        (MemoryUsageView autoload)
        MultiViewToolApplication
        (NewChangesBrowser autoload)
        NewLauncher
        (OldLauncher autoload)
        OrderedCollectionInspectorView
        (ProcessMonitor autoload)
        ProcessMonitorV2
        (ProjectView autoload)
        (RCSConflictEditTextView autoload)
        (SemaphoreMonitor autoload)
        SetInspectorView
        SettingsDialog
        (SmalltalkInspectorView autoload)
        (SourceRevisionItem autoload)
        SystemBrowser
        (SystemStatusMonitor autoload)
        (TerminalApplication autoload)
        #'Tools::BrowserList'
        #'Tools::CheckinInfoDialog'
        #'Tools::ClassCategoryList'
        #'Tools::ClassChecker'
        #'Tools::ClassGeneratorList'
        #'Tools::ClassList'
        #'Tools::FullMethodCategoryList'
        #'Tools::HierarchicalClassCategoryList'
        #'Tools::HierarchicalClassList'
        #'Tools::HierarchicalProjectList'
        #'Tools::ImplementingClassList'
        #'Tools::ImplementingMethodList'
        #'Tools::InheritanceClassList'
        #'Tools::MethodCategoryCache'
        #'Tools::MethodCategoryList'
        #'Tools::MethodList'
        #'Tools::NamespaceList'
        #'Tools::NavigationState'
        #'Tools::NavigatorCanvas'
        #'Tools::NavigatorModel'
        #'Tools::NewSystemBrowser'
        #'Tools::OrganizerCanvas'
        #'Tools::ProjectList'
        #'Tools::SearchDialog'
        #'Tools::SpecialCodeView'
        #'Tools::VariableList'
        VersionDiffBrowser
        (VersionRevisionItem autoload)
        ViewWithAcceptAndCancelBar
        WorkspaceApplication
        XPToolbarIconLibrary
        #'stx_libtool'
        (#'Tools::ToDoList' autoload)
        (#'Tools::ToDoListBrowser' autoload)
        (#'Tools::ToDoListEntry' autoload)
        (#'Tools::CompilerWarningToDoListEntry' autoload)
    )

    "Modified: / 23-10-2006 / 11:10:03 / cg"
!

extensionMethodNames
    ^ #(
        ByteArray inspectorExtraAttributes
        Color inspectorClass
        Dictionary inspectorClass
        Form inspectorClass
        Image inspectorClass
        Integer inspectorExtraAttributes
        Method inspectorExtraAttributes
        Method printStringForBrowserWithSelector:inClass:
        Method selectorPrintStringInBrowserFor:
        MethodDictionary inspectorClass
        OrderedCollection inspectorClass
        RunArray inspectorClass
        Set inspectorClass
        Text inspectorExtraAttributes
        #'NameSpace class' inspectorClass
        #'Smalltalk class' inspectorClass
        Character inspectorExtraAttributes
        Collection inspectorExtraAttributes
        Object inspectorExtraAttributes
        Object todo:
    )
! !

!stx_libtool class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Tools'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2006\nCopyright eXept Software AG 1998-2006'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libtool class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libtool/stx_libtool.st,v 1.15 2006-10-23 09:09:43 cg Exp $'
! !
